Bug 475253 - Unable to use GUI tool to update packages [NEEDINFO]
Unable to use GUI tool to update packages
Status: CLOSED DUPLICATE of bug 475074
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 12:39 EST by Harish Pillay
Modified: 2008-12-08 16:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 16:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhughes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Harish Pillay 2008-12-08 12:39:35 EST
Description of problem:
Tried to run System->Admin->Add/Remove software, and when choosing
a group to list, it says:

"failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)"

Version-Release number of selected component (if applicable):
0.3.9-4

How reproducible:
Tried to run System->Admin->Add/Remove software, and when choosing
a group to list.

Steps to Reproduce:
1. System->Admin->Add/Remove software
2. Choose a group to list
3. Error shown above appears in pop-up dialog box

  
Actual results:


Expected results:

To be able to view the packages/group and add/delete apps.

Additional info:
Comment 1 Jeroen Beerstra 2008-12-08 12:48:42 EST
I'm seeing the exact same behaviour here, after recent packagekit updates:

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)
Comment 2 Jeroen Beerstra 2008-12-08 12:49:10 EST
BTW this is on Fedora 9
Comment 3 Jim Nelson 2008-12-08 14:01:09 EST
Same here after most recent update.  Fedora 10.  
This also affects Software Sources and Update System, where no repositories at all are showing.
Yum works fine for updating, except for PackageKit which has a depsolve problem with gnome-packagekit-0.3.9-8.fc10.i386 needing libpackagekit-glib.so.10.  However, libpackagekit-glib.so.10 is already installed, so no resolution can be made.
Comment 4 Roger L. Olson 2008-12-08 14:14:59 EST
I got the same error message after updating to PackageKit-0.3.9-4.fc10 on my Centrino laptop and my Phenom desktop this morning.  I notice that the System -> Software source box is now void of any repository information (I had Fedora and Fedora-Updates selected before).  The repository information files still reside in /etc/yum.repos.d but PackageKit appears now unable to read them?
Comment 5 Richard Hughes 2008-12-08 16:18:30 EST

*** This bug has been marked as a duplicate of bug 475074 ***

Note You need to log in before you can comment on or make changes to this bug.